org.apache.maven.scm.provider.local.command.status

## Class LocalStatusCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.status.AbstractStatusCommand
    - - org.apache.maven.scm.provider.local.command.status.LocalStatusCommand

All Implemented Interfaces:
  Command, LocalCommand

    public class LocalStatusCommand
    extends AbstractStatusCommand
    implements LocalCommand

Version:
  $Id: LocalStatusCommand.java 774947 2009-05-14 22:06:25Z olamy $
Author:
  Matthew McCullough

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`LocalStatusCommand()`

### Method Summary

Methods
`protected StatusScmResult` `executeStatusCommand(ScmProviderRepository repository, ScmFileSet fileSet)`

### Methods inherited from class org.apache.maven.scm.command.status.AbstractStatusCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### LocalStatusCommand

    public LocalStatusCommand()

### Method Detail

#### executeStatusCommand

    protected StatusScmResult executeStatusCommand(ScmProviderRepository repository,
                                       ScmFileSet fileSet)
                                            throws ScmException

Specified by:
  `executeStatusCommand` in class `AbstractStatusCommand`
Throws:
  `ScmException`